#include <stdio.h>
#include <pjlib.h>

#define CHECK(status)   pj_assert(status==PJ_SUCCESS); if (status!=PJ_SUCCESS) return 1

int process(pj_sock_t sock, char buf[], pj_ssize_t size, const void *addr, int addrlen)
{
    puts("Got packet");
    return 0;
}

int main()
{
    pj_status_t status;
    pj_sockaddr_in addr;
    pj_sock_t sock;

    status = pj_init();
    CHECK(status);

    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_DGRAM(), 0, &sock);
    CHECK(status);

    pj_sockaddr_in_init(&addr, NULL, 5060);
    status = pj_sock_bind(sock, &addr, sizeof(addr));
    CHECK(status);

    for (;;) {
	char buf[4000];
	int addrlen;
	pj_ssize_t size;

	addrlen = sizeof(addr);
	size = sizeof(buf);
	status = pj_sock_recvfrom(sock, buf, &size, 0, &addr, &addrlen);
	if (status != PJ_SUCCESS)
	    continue;

	process(sock, buf, size, &addr, addrlen);
    }
}

